#!/bin/bash

while read fcookie fuser ftime
do
  if test "$(($(date +"%s")-$(date -d "@$ftime" +"%s")))" -gt "600"
  then
    sed -i "/^.* .* $ftime$/d" /tmp/pruefungsplaner/cookies.txt
  fi
done < /tmp/pruefungsplaner/cookies.txt

bcookie=$(echo $HTTP_COOKIE | tr -d ' ' | tr ';' '\n' | grep '^team01pruefungsplaner=.*$' | cut -d '=' -f 2)

if test "$(cat /tmp/pruefungsplaner/cookies.txt | grep "^$bcookie.*$" | wc -l)" = "0" -o "$bcookie" = "0" -o -z "$bcookie"
then
  echo "Content-Type: text/html"
  echo "Set-Cookie: team01pruefungsplaner=0; SameSite=Lax"
  echo
  
  echo "<!DOCTYPE html>
<html>
<head>
  <meta http-equiv=\"Refresh\" content=\"0; URL=/docker-step2021team01-web/cgi-bin/pruefungsplaner/login.sh?src=$2\">
</head>
</html>"
return 1
fi
